#
# spec file for package php5-pear-File_IMC
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-File_IMC
%define pear_name  File_IMC
%define pear_sname file_imc
Summary:        Create and parse IMC-style files (like vCard and vCalendar)
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
Version:        0.4.2
Release:        13.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4
BuildRequires:  php-macros
BuildRequires:  php5-pear
Requires:       php >= 4
Requires:       php5-pear
#
Provides:       php-pear-%{pear_name} pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Allows you to programmatically create a vCard or vCalendar, and fetch the text.
IMPORTANT: The array structure has changed slightly from Contact_Vcard_Parse.
See the example output for the new structure. 
Also different from Contact_Vcardis the use of a factory pattern. Again, see the examples.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --force --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)

%changelog
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Sun Mar 13 2011 rbos@opensuse.org
  * Fix Bug #17656: New Lines [till]
  * Fix Bug #18128: error notice while importing vcards [till]
  * Fix Bug #18129: interfere with other autoloaders [till]
  * Fix Bug #18155: Value strings inside arrays are not escaped [till]
  * Fix Bug #18188: Patch:many undefined indexes, like TEL in
  File_IMC_Build_Vcard->addTelephone() [till]
* Mon Jan 31 2011 lang@b1-systems.de
- BSD license
* Fri Jan 28 2011 lang@b1-systems.de
- packaging 0.4.1 with php-macros
